bitel.billing.server.voiceip.bean

## Class VoiceIpOperatorPrefixCost

- java.lang.Object
- - bitel.billing.server.voiceip.bean.VoiceIpOperatorPrefixCost

-     public class VoiceIpOperatorPrefixCost
      extends java.lang.Object

  Стоимость по префиксу

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceIpOperatorPrefixCost()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCid()` Возвращает код договора
    `java.lang.String` | `getContractTitle()` Возвращает имя договора
    `float` | `getCost()` Возвращает стоимость
    `int` | `getDestId()` Возвращает код направления
    `java.lang.String` | `getDestTitle()` Возвращает название направления
    `java.lang.String` | `getPrefix()` Возвращает префикс
    `void` | `setCid(int cid)` Устанавливает код договора
    `void` | `setContractTitle(java.lang.String contractTitle)` Устанавливает имя договора
    `void` | `setCost(float cost)` Устанавливает стоимость
    `void` | `setDestId(int destId)` Устанавливает код направления
    `void` | `setDestTitle(java.lang.String destTitle)` Устанавливает название направления
    `void` | `setPrefix(java.lang.String prefix)` Устанавливает префикс

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceIpOperatorPrefixCost

          public VoiceIpOperatorPrefixCost()

  - ### Method Detail

    - #### getCid

          public final int getCid()

      Возвращает код договора
      Returns:
        код договора

    - #### setCid

          public final void setCid(int cid)

      Устанавливает код договора
      Parameters:
        `cid` - код договора

    - #### getContractTitle

          public final java.lang.String getContractTitle()

      Возвращает имя договора
      Returns:
        имя договора

    - #### setContractTitle

          public final void setContractTitle(java.lang.String contractTitle)

      Устанавливает имя договора
      Parameters:
        `contractTitle` - имя договора

    - #### getCost

          public final float getCost()

      Возвращает стоимость
      Returns:
        стоимость

    - #### setCost

          public final void setCost(float cost)

      Устанавливает стоимость
      Parameters:
        `cost` - стоимость

    - #### getDestId

          public final int getDestId()

      Возвращает код направления
      Returns:
        код направления

    - #### setDestId

          public final void setDestId(int destId)

      Устанавливает код направления
      Parameters:
        `destId` - код направления

    - #### getDestTitle

          public final java.lang.String getDestTitle()

      Возвращает название направления
      Returns:
        название направления

    - #### setDestTitle

          public final void setDestTitle(java.lang.String destTitle)

      Устанавливает название направления
      Parameters:
        `destTitle` - название направления

    - #### getPrefix

          public final java.lang.String getPrefix()

      Возвращает префикс
      Returns:
        префикс

    - #### setPrefix

          public final void setPrefix(java.lang.String prefix)

      Устанавливает префикс
      Parameters:
        `prefix` - префикс